# Method: sellers.adUnits.impressionSchedules.batchUpdate

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#body.BatchUpdateImpressionSchedulesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#body.aspect)
- [UpdateImpressionScheduleRequest](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#UpdateImpressionScheduleRequest)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#UpdateImpressionScheduleRequest.SCHEMA_REPRESENTATION)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#examples)

Updates impression schedules in batch.

- Max allowed number of impression schedules in a batch is 1000.
- Returns the updated impression schedules if successful.
- Returns error code `INVALID_ARGUMENT` if an immutable field is specified in `updateMask` and a change is requested.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1/{parent=sellers/*/adUnits/*}/impressionSchedules:batchUpdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name. Format: sellers/{seller}/adUnits/{adUnit} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#UpdateImpressionScheduleRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/batchUpdate#UpdateImpressionScheduleRequest`)`` Required. The impression schedule to update. Max allowed number of impression schedule in a batch is 1000. |

### Response body

If successful, the response body contains data with the following structure:
Response message for InventoryService.BatchUpdateImpressionSchedules.

| JSON representation |
|---|
| ``` { "impressionSchedule": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules#ImpressionSchedule`) } ] } ``` |

| Fields ||
|---|---|
| `impressionSchedule[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules#ImpressionSchedule`)`` The updated impression schedule. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateImpressionScheduleRequest

Request message for InventoryService.UpdateImpressionSchedule.

| JSON representation |
|---|
| ``` { "impressionSchedule": { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules#ImpressionSchedule`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `impressionSchedule` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules#ImpressionSchedule`)`` Required. The partial impression schedule with updated fields. The following fields are required: \* name - used to identity which impression schedule to update. |
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |